org.fife.ui.rsyntaxtextarea.parser

## Interface ParseResult

All Known Implementing Classes:
  DefaultParseResult

    public interface ParseResult

The result from a `Parser`. This contains the section of lines parsed and any notices for that section.

Version:
  1.0
Author:
  Robert Futrell
See Also:
  `DefaultParseResult`, `ParserNotice`

### Method Summary

Methods
`Exception` `getError()` Returns an error that occurred while parsing the document, if any.
`int` `getFirstLineParsed()` Returns the first line parsed.
`int` `getLastLineParsed()` Returns the first line parsed.
`List<ParserNotice>` `getNotices()` Returns the notices for the parsed section.
`Parser` `getParser()` Returns the parser that generated these notices.
`long` `getParseTime()` Returns the amount of time this parser took to parse the specified range of text.

### Method Detail

#### getError

    Exception getError()

Returns an error that occurred while parsing the document, if any.

Returns:
  The error, or `null` if the document was successfully parsed.

#### getFirstLineParsed

    int getFirstLineParsed()

Returns the first line parsed. All parser implementations should currently set this to `0` and parse the entire document.

Returns:
  The first line parsed.
See Also:
  `getLastLineParsed()`

#### getLastLineParsed

    int getLastLineParsed()

Returns the first line parsed. All parser implementations should currently set this to the document's line count and parse the entire document.

Returns:
  The last line parsed.
See Also:
  `getFirstLineParsed()`

#### getNotices

    List<ParserNotice> getNotices()

Returns the notices for the parsed section.

Returns:
  A list of `ParserNotice`s.

#### getParser

    Parser getParser()

Returns the parser that generated these notices.

Returns:
  The parser.

#### getParseTime

    long getParseTime()

Returns the amount of time this parser took to parse the specified range of text. This is an optional operation; parsers are permitted to return `0` for this value.

Returns:
  The parse time, in milliseconds, or `0` if the parse time was not recorded.